package com.example.chat.service;

import com.example.chat.dao.UserMapper;
import com.example.chat.dao.chat.ChatMapper;
import com.example.chat.entity.User;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.io.IOException;

@Slf4j
@Service
public class ChatIndex {

    @Resource
    UserMapper userMapper;
    @Resource
    ChatMapper chatMapper;

    public void deleteUser(String account) {
        User user = new User();
        user.setAccount(account);
        try {
            userMapper.delUser(user);
            user = userMapper.getUserByAccount(account);
            chatMapper.deleteMessage(user.getUsername());//修改用户的聊天记录的头像与昵称
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
