package com.example.chat.controller;

import com.example.chat.service.ChatIndex;
import com.example.chat.service.HeadOss;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.File;

@Slf4j
@CrossOrigin
@RestController
public class IndexController {

    @Resource
    HeadOss headOss;
    @Resource
    ChatIndex chatIndex;
    @RequestMapping("/index/modifyHead")
    public void modifyHead(@RequestParam("file")MultipartFile file, @RequestParam("username") String username) {
        headOss.ModifyHead(username,file);
    }
    @GetMapping("/index/deleteUser")
    public void deleteUser(@RequestParam("account")String account){
        chatIndex.deleteUser(account);
    }
}
